/*
 *              display.cpp
 *
 *              Graphics Module for ME 161 Haptic Display
 *
 *              -Allison Okamura 11/21/96
 */

/* Includes */
#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <conio.h>
#include <iostream.h>
#include <graphics.h>
#include "display.h"

/* Defines */
#define HI        1
#define LO                 0
#define BKCOLOR   0
#define LINECOLOR 16

/* Global Variables */

/* Functions */

/*--------------------- init_graphics -----------------------*
 * Initializes graphics                                      *
 *-----------------------------------------------------------*/
void init_graphics (void)
{
	int gdriver = VGA, gmode = VGAHI, errorcode;

	/* initialize graphics mode */
	initgraph(&gdriver, &gmode, "c:\\bc5\\bgi");

	/* read result of initialization */
	errorcode = graphresult();

	if (errorcode != grOk) { /* an error occurred */
		printf("Graphics error: %s\n", grapherrormsg(errorcode));
		printf("Press any key to halt:");
		getch();
		exit(1);             /* return with error code */
	}

	setbkcolor(BKCOLOR);
	setcolor(LINECOLOR);
//      activepagenum = 0;
//      visualpagenum = 1;
//      setactivepage(activepagenum);
//      cleardevice();
//      setvisualpage(visualpagenum);
}
